	int line_type = CV_AA; // change it to 8 to see non-antialiased graphics
    int i;
    CvPoint pt1,pt2;
	
	CvPoint pt_1,pt_2;

    double angle;
    CvSize sz;
    CvPoint  ptt[6];
    CvPoint* pt[2];
    int  arr[2];
    CvFont font;
	
	CvFont font_1;

    CvRNG rng;
	//dashboard/2.6
    int width = define_width, height=define_height;
    int width3 = width*3, height3 = height*3;
    CvSize text_size;
    int ymin = 0;
    // Load the source image
    IplImage* image = cvCreateImage( cvSize(width,height), 8, 3 );
    IplImage* image2;

    // Create a window
    cvNamedWindow(wndname, 1 );
	cvNamedWindow(wndname_trackbars, 1 );
    cvZero( image );

	char img_background[]="images/cars.jpg";
	char img_dashboard[]="images/dashboard.jpg";
	char img_trackbars[]="images/trackbars.jpg";
	//Gui initilization

	IplImage* image_back = cvLoadImage(img_background, 1 );
	cvResize( image_back ,image,CV_INTER_LINEAR );
    cvShowImage(wndname,image);
	
	IplImage* image_trackbars= cvLoadImage(img_trackbars, 1 );
	cvShowImage(wndname_trackbars,image_trackbars);
	
	int trackbarVal=4;
	int maxVal=32;
	cvCreateTrackbar("Ign/Rev", wndname_trackbars, &trackbarVal ,maxVal , trackbarHandler_ignition);
	
	trackbarVal=defined_wheel_radius;//*100;
	maxVal=60;
	cvCreateTrackbar("Radius(cm)", wndname_trackbars, &trackbarVal ,maxVal , trackbarHandler_wheel_radius);

	trackbarVal=steering_a/2;
	maxVal=steering_a+steering_a/2;
	cvCreateTrackbar("St Set_a", wndname_trackbars, &trackbarVal ,maxVal , trackbarHandler_steering_a);
	cvSetTrackbarPos("St Set_a", wndname_trackbars, steering_a);

	trackbarVal=steering_b/3;
	maxVal=2*steering_b;//+steering_b/2;
	cvCreateTrackbar("St Set_b", wndname_trackbars, &trackbarVal ,maxVal , trackbarHandler_steering_b);
	cvSetTrackbarPos("St Set_b", wndname_trackbars, steering_b);

	trackbarVal=1;
	maxVal=100;
	cvCreateTrackbar("HBRK Set_a", wndname_trackbars, &trackbarVal ,maxVal , trackbarHandler_handbrake_a);

	trackbarVal=0;
	maxVal=100;
	cvCreateTrackbar("HBRK Set_b", wndname_trackbars, &trackbarVal ,maxVal , trackbarHandler_handbrake_b);









    rng = cvRNG((unsigned)-1);
    pt[0] = &(ptt[0]);
    pt[1] = &(ptt[3]);

    arr[0] = 3;
    arr[1] = 3;

	char logo[50];
	char logo_1[50];
	char logo_2[50];
	sprintf(logo, "TUDelft Brunel");
	sprintf(logo_1,"Open source Automotive Data Acquisition Software");
	sprintf(logo_2,"C++, OpenCV, WinAVR");

    cvInitFont( &font, CV_FONT_HERSHEY_COMPLEX, 3, 3, 0.0, 5, line_type );
    cvGetTextSize( logo, &font, &text_size, &ymin );
	pt1.x = (width/scaling - text_size.width)/2;
    pt1.y = (height/scaling + text_size.height)/2;
    
	cvInitFont( &font_1, CV_FONT_HERSHEY_COMPLEX, 0.5, 0.5, 0.0, 1, line_type );
	cvGetTextSize( logo_1, &font_1, &text_size, &ymin );
	pt_1.x = 50/scaling;// - text_size.width/2;
	pt_1.y = 100/scaling;// + text_size.height/2;
	pt_2.x = 50/scaling;// - text_size.width/2;
	pt_2.y = (100)/scaling+text_size.height*2;
	//cvPutText( image, "100,100", cvPoint(100,100), &font_1, CV_RGB(255,50,50)));
		//cvPutText( image, "500,500",cvPoint(500,500), &font_1, CV_RGB(255,100,100));
	

	image2 = cvCloneImage(image);
	/*
	for( i = 0; i < 255; i++)
    {
		cvSubS( image2, cvScalarAll(i), image, 0 );
		if(i<180){
			cvPutText( image, logo, pt1, &font_1, CV_RGB(255,i,i));
		}
		if(i>125){

			cvPutText( image, logo_1,pt_1, &font_1, CV_RGB(255,i,i));
			cvPutText( image, logo_2,pt_2, &font_1, CV_RGB(255,i,i));
		}
		cvShowImage(wndname,image);
        cvWaitKey(DELAY);
		i++;
    }//*/
	//cvWaitKey(2000);
	// Clear Image
	cvZero( image );

	cvReleaseImage(&image_back);
	image_back=cvLoadImage(img_dashboard, 1 );
	cvResize( image_back,image,CV_INTER_LINEAR );

	image2 = cvCloneImage(image);

